This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 6045 - rpm BuildArchitecture
Summary: rpm BuildArchitecture
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-18 12:13 UTC by Han-Wen Nienhuys
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-19 19:13:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Han-Wen Nienhuys 1999-10-18 12:13:07 UTC
Specifying the RPM tag BuildArchitectures for one
sub-package sets the architecture for all packages.

Comment 1 Jeff Johnson 1999-10-19 19:13:59 UTC
This is the designed behavior of rpm. Basically, a BuildArchitecture
is one-to-one with a single parse of a spec file. Adding this feature
is of little use except for the special case of "noarch" and even
there the problem runs deeper than simply providing the ability
to claim that a package can be installed on all architectures.

Break the original package into 2 pieces if necessary.


Note You need to log in before you can comment on or make changes to this bug.